Bug 6626 - regression of ccache build error (fixed in 3.2.12)
regression of ccache build error (fixed in 3.2.12)
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.0
x86 Linux
: P3 normal
: ---
Assigned To: Björn Jacke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-10 11:33 UTC by D.L. Meyer
Modified: 2009-08-12 09:45 UTC (History)
0 users

See Also:


Attachments
fix for ccache build error on RHEL4 systems (904 bytes, patch)
2009-08-10 11:36 UTC, D.L. Meyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description D.L. Meyer 2009-08-10 11:33:59 UTC
When building 3.4.0 on a RHEL4 system, the build fails with the following...

--------------------
+ cd /usr/src/redhat/BUILD
+ cd samba-3.4.0
+ /usr/bin/bzip2 -dc /usr/src/redhat/SOURCES/setup.tar.bz2
+ tar -xvvf -
drwxr-sr-x dlmeyer/dlmeyer   0 2009-07-03 06:21:14 setup/
-rw-r--r-- dlmeyer/dlmeyer 1586 2009-07-03 06:21:14 setup/winbind.init
-rw-r--r-- dlmeyer/dlmeyer  111 2009-07-03 06:21:14 setup/samba.sysconfig
-rw-r--r-- dlmeyer/dlmeyer  201 2009-07-03 06:21:14 setup/samba.pamd
-rw-r--r-- dlmeyer/dlmeyer 2295 2009-07-03 06:21:14 setup/smbprint
-rw-r--r-- dlmeyer/dlmeyer 9684 2009-07-03 06:21:14 setup/smb.conf
-rwxr-xr-x dlmeyer/dlmeyer  100 2009-07-03 06:21:14 setup/filter-requires-samba.sh
-rw-r--r-- dlmeyer/dlmeyer  259 2009-07-03 06:21:14 setup/swat.desktop

bzip2: /usr/src/redhat/SOURCES/setup.tar.bz2: trailing garbage after EOF ignored
-rw-r--r-- dlmeyer/dlmeyer 2445 2009-07-03 06:21:14 setup/smb.init
-rw-r--r-- dlmeyer/dlmeyer  363 2009-07-03 06:21:14 setup/swat
-rw-r--r-- dlmeyer/dlmeyer   97 2009-07-03 06:21:14 setup/smbusers
-rw-r--r-- dlmeyer/dlmeyer  280 2009-07-03 06:21:14 setup/samba.log
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.62425
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd samba-3.4.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /bin/cp setup/filter-requires-samba.sh /usr/src/redhat/SOURCES/filter-requires-samba.sh
+ cd source3
+ ccache -h
/var/tmp/rpm-tmp.62425: line 34: ccache: command not found
error: Bad exit status from /var/tmp/rpm-tmp.62425 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.62425 (%build)
makerpms.sh: Done.
--------------------

This is a regression of a bug that was fixed in version 3.2.12:  Bug #5832

Applying the patch from that bug/fix applies directly to 3.4.0, and fixes the problem.
Comment 1 D.L. Meyer 2009-08-10 11:36:50 UTC
Created attachment 4532 [details]
fix for ccache build error on RHEL4 systems

(re-attaching patch from #5832 for completeness...)
Comment 2 Karolin Seeger 2009-08-12 09:45:15 UTC
Pushed to v3-4-test. Will be included in 3.4.1.
Closing out bug report.

Thanks!